ghc-8.2.2: The GHC API

Safe Haskell | None
Language | Haskell2010

CodeOutput

# Documentation

codeOutput #

Arguments

:: DynFlags |
-> Module |
-> FilePath |
-> ModLocation |
-> ForeignStubs |
-> [(ForeignSrcLang, String)] | additional files to be compiled with with the C compiler
-> [InstalledUnitId] |
-> Stream IO RawCmmGroup () |
-> IO (FilePath, (Bool, Maybe FilePath), [(ForeignSrcLang, FilePath)]) |

outputForeignStubs :: DynFlags -> Module -> ModLocation -> ForeignStubs -> IO (Bool, Maybe FilePath) #